Announcement Announcement Module
Collapse
No announcement yet.
GGTS 3.1 - Gradle Support Not Available - Connector not available Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • GGTS 3.1 - Gradle Support Not Available - Connector not available

    I have just download and installed new GGTS 3.1 and attempted to add Gradle support via the extensions page and manually via http://dist.springsource.com/release/TOOLS/gradle. I get the essentially the same error message each time. I have pasted the error log from the extension page attempt below.

    Is Gradle available for GGTS 3.1? If so then I'd appreciate any guidance.

    Thanks

    Error Log from Extensions page:
    Problems occurred while performing installation: The following connectors are not available: Gradle Support (id=org.springsource.ide.eclipse.gradle.feature.fe ature.group, site=http://dist.springsource.com/release/TOOLS/update/e4.2)
    The following connectors are not available: Gradle Support (id=org.springsource.ide.eclipse.gradle.feature.fe ature.group, site=http://dist.springsource.com/release/TOOLS/update/e4.2)

  • #2
    I have the same problem. I worked around it by going to http://static.springsource.org/sts/d...tallation.html and installing the latest development snapshot at http://dist.springsource.com/snapsho...nightly/gradle using the "Install New Software..." option.

    Comment


    • #3
      Other GGTS 3.1 Extensions Appear Broken Also no 3.0 -> 3.1 Update Available Either

      Many thanks, this worked for me also.

      A number of the extensions seem broken, I get the same error message for The Groovy 2.0 Compiler extension. I was able to install the Subclipse extension.

      I was not able to get GGTS 3.0 to update using "Check for Updates" as indicated by release notes, came back with no updates found.


      Originally posted by robertpila View Post
      I have the same problem. I worked around it by going to http://static.springsource.org/sts/d...tallation.html and installing the latest development snapshot at http://dist.springsource.com/snapsho...nightly/gradle using the "Install New Software..." option.

      Comment


      • #4
        FYI - after I installed the development snapshot, I did NOT have to option to import a gradle project. I also tried downloading older version of STS, but none of the links worked.

        Comment


        • #5
          I just tried the http://dist.springsource.com/release/TOOLS/gradle
          site and there appears to be a problem with it. When I try to install from it it appears as if the site is empty.

          This site is supposed to be a 'composite' site that actually points to the latest release. Currenly here:
          http://dist.springsource.com/release...3.1.0.RELEASE/

          That site does appear to work so you can use that one as a workaround while we look into what's wrong with the composite site.

          Comment


          • #6
            Trying the 'extension' from dash for me gives this error:
            Problems occurred while performing installation: Unknown Host: http://download.springsource.com/mil....8/content.xml
            Unknown Host: http://download.springsource.com/mil....8/content.xml
            download.springsource.com

            Comment


            • #7
              Follow up...

              Apparantly there was something wrong up in the datacenter that caused trouble with various sites in the 'springsource.com' domain. Should all be back to normal and working now.

              But let us know if you still experience problems with the extensions and various update sites.

              Kris

              Comment

              Working...
              X